Bug 1493473 - astyle --html does not find documentation
Summary: astyle --html does not find documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: astyle
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Jens Lody
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 09:35 UTC by schlaffi
Modified: 2017-10-05 22:51 UTC (History)
3 users (show)

Fixed In Version: astyle-3.0.1-4.fc27 astyle-3.0.1-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-05 21:01:59 UTC
Type: Bug


Attachments (Terms of Use)
trivial patch (523 bytes, text/plain)
2017-09-20 09:35 UTC, schlaffi
no flags Details

Description schlaffi 2017-09-20 09:35:50 UTC
Created attachment 1328341 [details]
trivial patch

Description of problem:
astyle offers to launch the browser for showing some html help. This does not work because the wrong path is coded into the binary.

Version-Release number of selected component (if applicable):
astyle-3.0.1-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:

$ astyle --html

Actual results:

"Cannot open HTML file /usr/share/doc/astyle/html/astyle.html"

Expected results:

launch browser displaying /usr/share/doc/astyle/astyle.html

Additional info:

The path is encoded in astyle/src/astyle_main.cpp line 1317.

Comment 1 Fedora Update System 2017-09-24 13:42:05 UTC
astyle-3.0.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a24b5f75f

Comment 2 Fedora Update System 2017-09-24 13:42:13 UTC
astyle-3.0.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d48ff0a6e7

Comment 3 Fedora Update System 2017-09-24 20:54:06 UTC
astyle-3.0.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d48ff0a6e7

Comment 4 Fedora Update System 2017-09-25 06:21:19 UTC
astyle-3.0.1-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a24b5f75f

Comment 5 Fedora Update System 2017-10-05 21:01:59 UTC
astyle-3.0.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-10-05 22:51:19 UTC
astyle-3.0.1-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.